Subject: Re: [PATCH] ixgbe: Introduce new 10GbE driver for Intel 82598 based PCI Express adapters...

From: Jeff Garzik <[email-masked]>
Date: Mon, 02 Jul 2007 18:16:20 -0400

Michael Buesch wrote:
> On Tuesday 03 July 2007 00:02:57 Kok, Auke wrote:
>> well, FWIW when I started looking at adding these flags I looked in various 
>> subsystems in the kernel and picked an implementation that suited. Guess what 
>> pci.h has? ...:
>>
>> 	unsigned int msi_enabled:1;
>> 	unsigned int msix_enabled:1;
>>
>> this is literally where I copied the example from
>>
>> I suppose I can fix those, but I really don't understand what all the fuzz is 
>> about here. We're only conserving memory and staying far away from the real 
> 
> I'm not sure if these bitfields actually _do_ conserve memory.
> Generated code gets bigger (need bitwise masks and stuff).
> Code also needs memory. It probably only conserves memory, if the
> structure is instanciated a lot.

Actually, that's a good point.  On several RISC architectures it 
certainly generates bigger code.

	Jeff